Debug
Keywords: uk.ac.bbk.dcs.automed.hdmstore.Debug,Debug class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.hdmstore
Class Debug

    java.lang.Object
      |
      +--uk.ac.bbk.dcs.automed.hdmstore.Debug

public class Debug
extends java.lang.Object

The Debug class allows debugging messages to be sent from a calling application. The debugging can be printed to screen and / or to a log file. Messages can be assigned a severity level (error, normal or verbose) and the application can choose what level to ignore.

Author:
  Dean Williams (dean@dcs.bbk.ac.uk)

Field Summary
`static int` | `ERROR`
`static int` | `NONE`
`static int` | `NORMAL`
`static int` | `VERBOSE`

Constructor Summary
`Debug()` Standard constructor, default message level, no logging, print to output.
`Debug(int pLevel)` Constructor with message level parameter , no logging, print to output.
`Debug(int pLevel, boolean pEcho, boolean pLogging)` Constructor with message level, logging and print to output all parameters.
`Debug(int pLevel, boolean pEcho, boolean pLogging, java.lang.String pLogFile)` Constructor with message level, logging, print to output and log file name all parameters.

Method Summary
`void` | `error(java.lang.String pMessage)` Write an error level message
`void` | `msg(java.lang.String pMessage)` Write a normal level message
`void` | `msg(java.lang.String pMessage, int pLevel)` Write a message, severity level is a parameter
`void` | `waffle(java.lang.String pMessage)` Write a verbose level message

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR

    public static final int ERROR

See Also:
  Constant Field Values

### NONE

    public static final int NONE

See Also:
  Constant Field Values

### NORMAL

    public static final int NORMAL

See Also:
  Constant Field Values

### VERBOSE

    public static final int VERBOSE

See Also:
  Constant Field Values

Constructor Detail

### Debug

    public Debug()

  Standard constructor, default message level, no logging, print to output.

### Debug

    public Debug(int pLevel)

  Constructor with message level parameter , no logging, print to output.

### Debug

    public Debug(int pLevel,
                 boolean pEcho,
                 boolean pLogging)

  Constructor with message level, logging and print to output all parameters.

### Debug

    public Debug(int pLevel,
                 boolean pEcho,
                 boolean pLogging,
                 java.lang.String pLogFile)

  Constructor with message level, logging, print to output and log file name all parameters.

Method Detail

### error

    public void error(java.lang.String pMessage)

  Write an error level message

### msg

    public void msg(java.lang.String pMessage)

  Write a normal level message

### waffle

    public void waffle(java.lang.String pMessage)

  Write a verbose level message

### msg

    public void msg(java.lang.String pMessage,
                    int pLevel)

  Write a message, severity level is a parameter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD